#### D.12.2.55 super_increasing_knapsack

Procedure from library `crypto.lib` (see crypto_lib).

Usage:
  super_increasing_knapsack(ksize)

Return:
  super-increasing knapsack list

Example:

    LIB "crypto.lib";
    super_increasing_knapsack(10);
    ==> [1]:
    ==>    512
    ==> [2]:
    ==>    256
    ==> [3]:
    ==>    128
    ==> [4]:
    ==>    64
    ==> [5]:
    ==>    32
    ==> [6]:
    ==>    16
    ==> [7]:
    ==>    8
    ==> [8]:
    ==>    4
    ==> [9]:
    ==>    2
    ==> [10]:
    ==>    1

User manual for Singular version 4.4.1, 2025, generated by texi2html.